<!--
{
  "availability" : [

  ],
  "documentType" : "symbol",
  "framework" : "apple-school-and-business-manager-api",
  "identifier" : "/documentation/AppleBusinessAPI/Update-a-Blueprint",
  "metadataVersion" : "0.1.0",
  "role" : "Web Service Endpoint",
  "symbol" : {
    "kind" : "Web Service Endpoint",
    "modules" : [
      "Apple Business API"
    ],
    "preciseIdentifier" : "rest:AppleBusinessAPI:patch:v1-blueprints-{}"
  },
  "title" : "Update a Blueprint"
}
-->

# Update a Blueprint

Update an existing Blueprint in an organization.

## Overview> Note: Only the fields included in the request are updated. Any omitted fields retain their existing values.

> Note: Any invalid resource IDs will be dropped from the request during Blueprint update.

### Example

**Request:**

```
curl -X PATCH "https://api-business.apple.com/v1/blueprints/{id}" \
    -H "Authorization: Bearer ${ACCESS_TOKEN}" \
    -H "Content-Type: application/json" \
    -d '{
      "data": {
        "type": "blueprints",
        "id": "blueprint-12345",
        "attributes": {
          "description": "Updated description"
        },
        "relationships": {
          "apps": {
            "data": [
              {"type": "apps", "id": "361309726"}
            ]
          },
          "users": {
            "data": [
              {"type": "users", "id": "user-215"},
              {"type": "users", "id": "user-225"},
              {"type": "users", "id": "user-235"},
            ]
          }
        }
      }
    }'
```

**Response:**

```json
{
  "data": {
    "type": "blueprints",
    "id": "blueprint-12345",
    "attributes": {
      "name": "Engineering Onboarding",
      "description": "Updated description",
      "status": "ACTIVE",
      "appLicenseDeficient": false,
      "createdDateTime": "2024-01-15T10:30:00Z",
      "updatedDateTime": "2024-06-15T14:22:00Z"
    },
    "relationships": {
      "userGroups": {
        "links": {
          "self": "https://api-business.apple.com/v1/blueprints/blueprint-12345/relationships/userGroups",
          "include": "https://api-business.apple.com/v1/blueprints/blueprint-12345?include=userGroups"
        }
      },
      "orgDevices": {
        "links": {
          "self": "https://api-business.apple.com/v1/blueprints/blueprint-12345/relationships/orgDevices",
          "include": "https://api-business.apple.com/v1/blueprints/blueprint-12345?include=orgDevices"
        }
      },
      "packages": {
        "links": {
          "self": "https://api-business.apple.com/v1/blueprints/blueprint-12345/relationships/packages",
          "include": "https://api-business.apple.com/v1/blueprints/blueprint-12345?include=packages"
        }
      },
      "configurations": {
        "links": {
          "self": "https://api-business.apple.com/v1/blueprints/blueprint-12345/relationships/configurations",
          "include": "https://api-business.apple.com/v1/blueprints/blueprint-12345?include=configurations"
        }
      },
      "users": {
        "links": {
          "self": "https://api-business.apple.com/v1/blueprints/blueprint-12345/relationships/users",
          "include": "https://api-business.apple.com/v1/blueprints/blueprint-12345?include=users"
        }
      },
      "apps": {
        "links": {
          "self": "https://api-business.apple.com/v1/blueprints/blueprint-12345/relationships/apps",
          "include": "https://api-business.apple.com/v1/blueprints/blueprint-12345?include=apps"
        }
      }
    },
    "links": {
      "self": "https://api-business.apple.com/v1/blueprints/blueprint-12345"
    }
  },
  "links": {
    "self": "https://api-business.apple.com/v1/blueprints/blueprint-12345"
  }
}
```

## Topics

### Responses

[`object BlueprintResponse`](/documentation/AppleBusinessAPI/BlueprintResponse)

A response that contains information about a Blueprint resource.



---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)